startpar-upstart-inject(8)

NAME
startpar-upstart-inject - notify startpar of started/stopped upstart jobs

SYNOPSIS
startpar-upstart-inject job-name instance [started|stopped]

DESCRIPTION
startpar-upstart-inject is a helper command for notifying startpar whenever an upstart job has started or stopped. It allows startpar to run in a manner compatible with upstart-based systems, where many/most jobs are started directly by upstart and not by startpar. In this scenario, startpar must be notified whenever an upstart job has started so that it can run the init scripts for services that declare a dependency on that job.

OPTIONS
The startpar-upstart-inject command takes three arguments, all of which are mandatory.

job-name
    The name of the upstart job. Normally this will match the name of a script in the /etc/init.d directory.

instance
    The instance of the upstart job, if any; otherwise, an empty string. This is currently ignored by startpar, which has no concept of service instances.

[started|stopped]
    The single word started or stopped which indicates whether the listed job has been started or stopped.

FILES

/etc/init/startpar-bridge.conf
    upstart job which invokes startpar-upstart-inject each time another upstart job starts

SEE ALSO
init(8) insserv(8) startpar(8) upstart-events(7)

AUTHOR
Written by Steve Langasek <steve.langasek@canonical.com>

COPYRIGHT
Copyright © 2012 Canonical Ltd.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.